import * as React from "react";
import Svg, { Path, SvgProps } from "react-native-svg";

interface MenuIconProps extends SvgProps {
  color?: string;
}

const MenuIcon: React.FC<MenuIconProps> = (props) => (
  <Svg
    width={24}
    height={16}
    viewBox="0 0 24 16"
    fill="none"
    {...props}
  >
    <Path
      stroke={props.color || "#919191"}
      strokeLinecap="round"
      strokeLinejoin="round"
      strokeWidth={2.222}
      d="M2 8h15.556M2 1.333h20M2 14.667h11.111"
    />
  </Svg>
);

export default MenuIcon;
