import { ProfileType } from "@/contexts/AuthContext";

export interface User {
  uid: string;
  email: string | null;
}

export interface UserProfile {
  userType: ProfileType;
  firstName: string;
  lastName: string;
  childrenIds?: string[];
  birthday?: Date;
  parentId?: string;
  contact?: string;
  email: string;
  password: string;
  familyId?: string;
  uid?: string;
  googleToken?: string;
  microsoftToken?: string;
  eventColor?: string
}

export interface ParentProfile extends UserProfile {
  userType: ProfileType.PARENT;
  childrenIds: string[];
}

export interface ChildProfile extends UserProfile {
  userType: ProfileType.CHILD;
  birthday: Date;
  parentId: string;
}

export interface CaregiverProfile extends UserProfile {
  userType: ProfileType.CAREGIVER;
  contact: string;
}
